tosca_definitions_version: tosca_simple_yaml_1_3
metadata:
  invariantUUID: 4d69b220-25c9-470c-9317-7e17cef029fe
  UUID: 7e950705-b9e6-48fe-bdb6-d95e0bd8c4f2
  name: s1234
  description: Description
  model: ETSI SOL001 v2.5.1
  category: ETSI NFV Network Service
  type: Service
  serviceType: Service
  serviceRole: ''
  serviceFunction: ''
  environmentContext: General_Revenue-Bearing
  template_version: '0.1'
  instantiationType: A-la-carte
  ecompGeneratedNaming: true
  namingPolicy: ''
  ETSI Version: 2.5.1
imports:
- etsi_nfv_sol001_nsd_types:
    file: etsi_nfv_sol001_nsd_types.yaml
- etsi_nfv_sol001_vnfd_types:
    file: etsi_nfv_sol001_vnfd_types.yaml
- service-s1234-interface:
    file: service-S1234-template-interface.yml
- resource-VNF:
    file: resource-Vnf-template.yml
topology_template:
  inputs:
    vnf0_product_info_description:
      type: string
      description: Human readable description of the VNF Product
      required: false
    descriptor_id:
      type: string
      description: Identifier of this NS descriptor
      required: true
    invariant_id:
      type: string
      description: Identifies an NSD in a version independent manner. This attribute
        is invariant across versions of NSD.
      required: true
    name:
      type: string
      description: Provides the human readable name of the NSD.
      required: true
    vnf0_localization_languages:
      type: list
      description: Information about localization languages of the VNF
      required: false
      entry_schema:
        type: string
    vnf0_product_name:
      type: string
      description: Human readable name for the VNF Product
      required: true
    vnf0_provider:
      type: string
      description: Provider of the VNF and of the VNFD
      required: true
    designer:
      type: string
      description: Identifies the designer of the NSD.
      required: true
    version:
      type: string
      description: Identifies the version of the NSD.
      required: true
  node_templates:
    VNF 0:
      type: tosca.nodes.nfv.VNF
      directives:
      - select
      metadata:
        invariantUUID: 7b6541fa-9686-4d5c-a3aa-ba7710ae4707
        UUID: 336def16-9040-40c3-8811-5a390ff0b6d1
        name: VNF
        description: The generic abstract type from which all VNF specific abstract
          node types shall be derived to form, together with other node types, the
          TOSCA service template(s) representing the VNFD
        model: ETSI SOL001 v2.5.1
        category: Generic
        version: '2.0'
        customizationUUID: e641f0a5-bcbf-419f-8c41-bbf9138c915e
        type: VFC
        subcategory: Infrastructure
        resourceVendor: ONAP (Tosca)
        resourceVendorRelease: 1.0.0.wd03
        reourceVendorModelNumber: ''
      properties:
        product_info_description:
          get_input: vnf0_product_info_description
        provider:
          get_input:
          - vnf0_provider
        lcm_operations_configuration:
          scale:
            scaling_by_more_than_one_step_supported: false
        localization_languages:
          get_input: vnf0_localization_languages
        product_name:
          get_input:
          - vnf0_product_name
      node_filter:
        properties:
        - flavour_description:
          - in_range:
            - $get_input_ext:
              - vnf0_product_info_description
            - $get_input_ext:
              - vnf0_product_name
  substitution_mappings:
    node_type: org.openecomp.service.S1234
    properties:
      descriptor_id:
      - descriptor_id
      invariant_id:
      - invariant_id
      name:
      - name
      designer:
      - designer
      version:
      - version
